{% set theme_config = attribute(config.themes, config.system.pages.theme) %}
<!doctype html>
<html class="no-js" lang="{{ grav.language.getActive ?: theme_config.default_lang }}">
<head>
{% block head %}
    <meta charset="utf-8">

    <title>{% if header.title %}{{ header.title|e('html') }} | {% endif %}{{ site.title|e('html') }}</title>

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="icon" type="image/png" href="{{ url('theme://images/logo.png') }}" />
    <link rel="canonical" href="{{ page.url(true, true) }}" />

    {% include 'partials/metadata.html.twig' %}

    {% block stylesheets %}
        {% do assets.addCss('foundation-css', 100) %}
        {% do assets.addCss('theme://css/foundation-icons.css', 100) %}
        {% do assets.addCss('theme://css-compiled/custom.min.css', 99) %}

        {% if theme_config.color_theme.enabled -%}
            {% do assets.addCss('theme://css-compiled/theme.min.css', 10) %}
        {%- endif %}
    {% endblock %}
    {{ assets.css() }}

    {% block javascripts %}
        {% do assets.addJs('jquery3', {'priority': 100, 'group': 'bottom'}) %}
        {% do assets.addJs('what-input', {'priority': 99, 'group': 'bottom'}) %}
        {% do assets.addJs('foundation-js', {'priority': 98, 'group': 'bottom'}) %}
        {% do assets.addJs('theme://js/app.js', {'priority': 97, 'group': 'bottom', 'loading': 'inline'}) %}
    {% endblock %}
    {{ assets.js() }}

{% endblock head %}
</head>

<body class="{{ page.header.body_classes }}">

{% block header_navigation %}
    {% include 'partials/navigation.html.twig' %}
{% endblock %}

<br/>

{% block body %}
    <article class="grid-container">
        {% block content %}
            {% if config.plugins.breadcrumbs.enabled -%}
                {% include 'partials/breadcrumbs.html.twig' ignore missing %}
            {%- endif %}
        {% endblock %}
    </article>
{% endblock %}

<hr/>

{% block footer %}
    <footer>
        <div class="grid-x grid-margin-y">
            <p class="cell text-center">
                Built using <a href="http://getgrav.org">Grav</a>
            </p>
        </div>
    </footer>
{% endblock %}

{% block bottom %}
    {{ assets.js('bottom') }}
{% endblock %}

</body>
</html>
